# Uses of Interface
org.apache.lucene.queryparser.xml.builders.SpanQueryBuilder

Packages that use SpanQueryBuilder
Package
Description
org.apache.lucene.queryparser.xml
Parser that produces Lucene Query objects from XML streams.
org.apache.lucene.queryparser.xml.builders
XML Parser factories for different Lucene Query/Filters.

- ## Uses of SpanQueryBuilder in org.apache.lucene.queryparser.xml

  Classes in org.apache.lucene.queryparser.xml that implement SpanQueryBuilder
  Modifier and Type
  Class
  Description
  `class`
  `CoreParser`
  Assembles a QueryBuilder which uses only core Lucene Query objects
  `class`
  `CorePlusExtensionsParser`
  Assembles a QueryBuilder which uses Query objects from Lucene's `sandbox` and `queries` modules in addition to core queries.
  `class`
  `CorePlusQueriesParser`
  Assembles a QueryBuilder which uses Query objects from Lucene's `queries` module in addition to core queries.
  Methods in org.apache.lucene.queryparser.xml with parameters of type SpanQueryBuilder
  Modifier and Type
  Method
  Description
  `void`
  CoreParser.`addSpanBuilder(String nodeName, SpanQueryBuilder builder)`
  `void`
  CoreParser.`addSpanQueryBuilder(String nodeName, SpanQueryBuilder builder)`

- ## Uses of SpanQueryBuilder in org.apache.lucene.queryparser.xml.builders

  Classes in org.apache.lucene.queryparser.xml.builders that implement SpanQueryBuilder
  Modifier and Type
  Class
  Description
  `class`
  `BoostingTermBuilder`
  Builder for `PayloadScoreQuery`
  `class`
  `SpanBuilderBase`
  Base class for building `SpanQuery`s
  `class`
  `SpanFirstBuilder`
  Builder for `SpanFirstQuery`
  `class`
  `SpanNearBuilder`
  Builder for `SpanNearQuery`
  `class`
  `SpanNotBuilder`
  Builder for `SpanNotQuery`
  `class`
  `SpanOrBuilder`
  Builder for `SpanOrQuery`
  `class`
  `SpanOrTermsBuilder`
  Builder that analyzes the text into a `SpanOrQuery`
  `class`
  `SpanPositionRangeBuilder`
  Builder for `SpanPositionRangeQuery`
  `class`
  `SpanQueryBuilderFactory`
  Factory for `SpanQueryBuilder`s
  `class`
  `SpanTermBuilder`
  Builder for `SpanTermQuery`
  Methods in org.apache.lucene.queryparser.xml.builders with parameters of type SpanQueryBuilder
  Modifier and Type
  Method
  Description
  `void`
  SpanQueryBuilderFactory.`addBuilder(String nodeName, SpanQueryBuilder builder)`
  Constructors in org.apache.lucene.queryparser.xml.builders with parameters of type SpanQueryBuilder
  Modifier
  Constructor
  Description
  ``
  `SpanFirstBuilder(SpanQueryBuilder factory)`
  ``
  `SpanNearBuilder(SpanQueryBuilder factory)`
  ``
  `SpanNotBuilder(SpanQueryBuilder factory)`
  ``
  `SpanOrBuilder(SpanQueryBuilder factory)`
  ``
  `SpanPositionRangeBuilder(SpanQueryBuilder factory)`